package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.SSFReceiverStream.GetStats(ctx, operations.C1APISSFReceiverV1SSFReceiverStreamServiceGetStatsRequest{
StreamID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.SSFReceiverStreamServiceGetStatsResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.ssfReceiverStream.getStats({
streamId: "<id>",
});
console.log(result);
}
run();curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/ssf-receiver-streams/{stream_id}/stats \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/ssf-receiver-streams/{stream_id}/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/ssf-receiver-streams/{stream_id}/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"stats": {
"eventsActedOnCount": "<string>",
"eventsFailedCount": "<string>",
"eventsReceivedCount": "<string>",
"lastErrorAt": "2023-11-07T05:31:56Z",
"lastErrorMessage": "<string>",
"lastEventReceivedAt": "2023-11-07T05:31:56Z",
"lastVerifiedAt": "2023-11-07T05:31:56Z",
"streamId": "<string>",
"transmitterStatus": "<string>",
"transmitterStatusReason": "<string>"
}
}Get Stats
GetStats retrieves event processing statistics for a specific SSF receiver stream, including counts of received, acted-on, and failed events.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.SSFReceiverStream.GetStats(ctx, operations.C1APISSFReceiverV1SSFReceiverStreamServiceGetStatsRequest{
StreamID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.SSFReceiverStreamServiceGetStatsResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.ssfReceiverStream.getStats({
streamId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The ID of the SSF receiver stream to get stats for.
Response
SSFReceiverStreamServiceGetStatsResponse contains the event processing statistics for the stream.
SSFReceiverStreamServiceGetStatsResponse contains the event processing statistics for the stream.
SSFReceiverStreamStats is a lightweight read-only stats object.
Show child attributes
Show child attributes
Was this page helpful?